% ------------------------------------------------------------------------------
% Copyright (c) 2019, 2024 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
\documentclass{article}
\usepackage{tikz}
\usetikzlibrary{arrows.meta, arrows, automata, positioning, shapes, shapes.misc}
\usepackage[paperwidth=40in, paperheight=20in]{geometry}

\begin{document}
\pagestyle{empty}

\begin{tikzpicture}[
    auto,
    ->,
    node distance=2cm,
    every state/.style={ellipse, semithick, fill=black!5, minimum size=1.5cm, font=\Large},
    initial distance=1.2cm,
    every initial by arrow/.style={-{Stealth[scale=1.4]}},
    initial text=,
    transform shape,
    double distance=2pt,
    every loop/.style={min distance=10mm}
]

\node[state, initial left, accepting]                 (A) {};
\node[state, right=of A]                              (B) {};

\node[state, initial left, accepting, right=3cm of B] (C) {};
\node[state, right=of C]                              (D) {};

\path[-{Stealth[scale=1.4]}]
    (A) edge[bend left, above] node[align=center] {\texttt{a}} (B)
    (B) edge[bend left, below] node[align=center] {\texttt{b}} (A)

    (C) edge[bend left, above] node[align=center] {\texttt{b}} (D)
    (D) edge[bend left, below] node[align=center] {\texttt{a}} (C)
;

\end{tikzpicture}
\end{document}
